# SemPress

A highly semantic, HTML5 template, responsive and seo optimized. SemPress supports most of the new HTML5 tags, the new HTML5 input-types, microformats, microformats v2 and microdata (Schema.org).

## POSH - Plain old Semantic HTML

From the [micrormats wiki](http://microformats.org/wiki/posh):

> The term semantic-html is a mouthful, and belies both how simple it is, how well established
> it is among modern web designers, and the fact that it has benefits far beyond the obvious doing
> the right thing for the Web by using semantic markup. We need a simple short mnemonic term that
> captures the essence of the concept, and is easily verbed (to posh, poshify, poshed up).

SemPress is fully HTML5 compatible and uses a lot of the new tags, semantics and input-types.

## Web Semantics

SemPress' code is marked-up with microformats and microdata:

* used [microformats](http://microformats.org/):
    * [hAtom](http://microformats.org/wiki/hatom)
    * [hCard](http://microformats.org/wiki/hcard)
    * [rel-tag](http://microformats.org/wiki/rel-tag)
    * [XFN](http://microformats.org/wiki/xfn)
* used [microformats version 2](http://microformats.org/wiki/microformats-2):
   * h-atom/h-entry
   * h-card
   * [ActivityStreams](http://microformats.org/wiki/activity-streams) (h-as-bookmark, h-as-note, ...)
* used [microdata](http://www.whatwg.org/specs/web-apps/current-work/multipage/microdata.html): 
    * http://schema.org/Blog
    * http://schema.org/BlogPosting
    * http://schema.org/WebPage
    * http://schema.org/Person

Planned formats:

* micormats (v2): hAudio and hMedia
* microdata: http://schema.org/MediaObject

## WordPress Features

SemPress supports:

* [Custom Post Formats](http://codex.wordpress.org/Post_Formats): aside, status, gallery, video, audio, link and image
* [Post-Thumbnails](http://codex.wordpress.org/Post_Thumbnails)
* [Editor-Style](http://codex.wordpress.org/Function_Reference/add_editor_style)
* [Navigation Menus](http://codex.wordpress.org/Navigation_Menus)
* [Automatic Feed Links](http://codex.wordpress.org/Automatic_Feed_Links)
* [Custom-Header](http://codex.wordpress.org/Custom_Headers)
* [Custom-Backgrounds](http://codex.wordpress.org/Custom_Backgrounds)
* [Infinite Scroll](http://jetpack.me/support/infinite-scroll/) (JetPack)

[![endorse](http://api.coderwall.com/pfefferle/endorsecount.png)](http://coderwall.com/pfefferle)
